Subject: bug#17841: 24.3; Info description of Emacs startup could better describe package initialization

From: Eli Zaretskii <[email-masked]>
Date: Tue, 24 Jun 2014 18:31:07 +0300

> From: [email-masked]
> Date: Mon, 23 Jun 2014 21:47:33 -0500
> 
> Info node "(emacs) Initial Options" says:
> 
> "   Some initial options affect the loading of the initialization file.
> Normally, Emacs first loads `site-start.el' if it exists, then your own
> initialization file if it exists, and finally the default
> initialization file `default.el' if it exists (*note Init File::)."
> 
> It fails to mention package initialization in this paragraph & I think
> that it should.  It is one of the first places where I looked to find
> out when in the startup sequence packages are initialized.  I found
> other locations which described when packages are initializaed, but was
> confused for a while after reading this paragraph and no mention was
> made of package initialization.

In the Emacs manual, I typed "i package TAB TAB" and was presented
with a list that included "package-install" and "package-initialize".
They both land me in the "Package Installation" section which seems to
describe what you wanted.